Package org.apache.maven.scm

## Class ScmUntagParameters

- java.lang.Object
- - org.apache.maven.scm.ScmUntagParameters

All Implemented Interfaces:
  `java.io.Serializable`

    public class ScmUntagParameters
    extends java.lang.Object
    implements java.io.Serializable

parameters used by implementation to perform untag operation

Since:
  1.11.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmUntagParameters​(java.lang.String tag, java.lang.String message)` constructor with tag and message

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()` get commit message
`java.lang.String` `getTag()` get tag id
`void` `setMessage​(java.lang.String message)` set commit message
`void` `setTag​(java.lang.String tag)` set tag id
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmUntagParameters

    public ScmUntagParameters​(java.lang.String tag,
                              java.lang.String message)

constructor with tag and message

Parameters:
  `tag` - tag id
  `message` - commit message

### Method Detail

#### getTag

    public java.lang.String getTag()

get tag id

Returns:
  tag id

#### setTag

    public void setTag​(java.lang.String tag)

set tag id

Parameters:
  `tag` - tag id

#### getMessage

    public java.lang.String getMessage()

get commit message

Returns:
  commit message

#### setMessage

    public void setMessage​(java.lang.String message)

set commit message

Parameters:
  `message` - commit message

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`